/* Теоретичні питання
1. Як можна оголосити змінну у Javascript?

var let cost

2. У чому різниця між функцією prompt та функцією confirm?

confirm  не приймає від користувача ніякої інформації окрім підтвердження або спростування. Повертає
true при натисканні ок, або false при натисканні відміна чи закритті вікна.

prompt приймає від користувача дані у вигляді string, в разі відмови (відміна або esc) користувача вводити данні повертає null.


3. Що таке неявне перетворення типів? Наведіть один приклад.
Неявне перетворення типів відбувається в результаті використання операторів JS.
наприклад вираз:
alert("23" + 32) - перетворить число 32 в строку і видасть результат 2332.
або ж:
+"45" - перетворить строку 45 в число 45.
*/


// ## Завдання

//1) Оголосіть дві змінні: admin та name. Встановіть ваше ім'я в якості значення змінної name. Скопіюйте це значення в змінну admin і виведіть його в консоль.
const name = 'Victoria';
let admin = name;
alert("Name of admin is " + name);

// 2) Оголосити змінну days і ініціалізувати її числом від 1 до 10. Перетворіть це число на кількість секунд і виведіть на консоль.
// 3) Запитайте у користувача якесь значення і виведіть його в консоль.
let days;
let seconds;
do {
    days = prompt("Hello! if you give me a number of days left till friday, I'll count a seconds (choose only numbers please, no words no spaces)")
}
while (isNaN(days) || days === "" || days === null);

seconds = parseInt(days) * 86.4e3;
alert (parseInt(days) + " days have " + seconds + " seconds. Don't thank me. I'm just doing my job.")
